﻿
.lol {
    background: Yellow;
}

html, body {
    height: 100%;
    font-family: Arial, Sans-Serif;
    font-size: 0.95rem;
}

body {
    /*padding-bottom: 20px;*/
    color: #333;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    padding-bottom: 140px;
}

.questions-body {
    padding-bottom: 140px;
}

#head-body-wrapper {
    min-height: 100%;
}

.page-header {
    padding-bottom: 9px;
    margin: 40px 0 20px;
    border-bottom: 1px solid #eee;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    /*max-width: 280px;*/
    max-width: none;
}

div.loader {
    height: 100%;
    width: 100%;
    min-height: 120px;
    max-height: 180px;
    min-width: 120px;
    background: url("/Content/Images/loader.gif") no-repeat;
    background-size: contain;
    background-position: center bottom;
    text-align:center;
    font-size: 1.2em;
    font-weight:700;
}

.hidden {
    display: none !important;
}

.checkbox > input[type=checkbox] {
    margin-left: 0;
}

.field-validation-error {
    color: #A94442;
}

.pointer {
    cursor: pointer;
}

a.no-link, a.no-link:active, a.no-link:hover {
    color: inherit;
    text-decoration: none;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.flex-grow-1 {
    flex-grow: 1;
}

/*used for row*/
.flex-row{
    display:flex;
}

.full-width {
    width: 100%;
}

input[type="file"]::file-selector-button {
    color: #fff;
    background-color: #6c757d;
    border-color: #6c757d;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    cursor: pointer;
    display: inline-block;
    font-weight: 400;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    /*background-color: transparent;*/
    border: 1px solid transparent;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    input[type="file"]::file-selector-button:hover {
        color: #fff;
        background-color: #5a6268;
        border-color: #545b62;
    }

/*#region Staff Layout*/
.staff {
    padding: 0;
    margin: 0;
    background-color: #EDEDF5;
}

    .staff .wrapper {
        display: flex;
        background-color: #EDEDF5;
    }

.badge {
    background-color: #fcc100;
}

#topbar {
    position: fixed;
    display: flex;
    align-items: center;
    padding-left: 80px;
    padding-right: 30px;
    height: 60px;
    width: 100vw;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0,0,0,.1);
    z-index: 1;
}

    #topbar div + div {
        margin-left: auto;
    }

    #topbar h2 {
        margin: 0 0 0 15px;
        padding: 0;
        font-size: 1.5em;
    }

    #topbar > div > .navbar-nav {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 60vw;
    }

    #topbar .login-info a {
        margin-right: 30px;
    }

        #topbar .login-info a[aria-expanded="false"] .fa-chevron-down, #topbar .login-info a[aria-expanded="true"] .fa-chevron-up {
            display: inline;
        }

        #topbar .login-info a[aria-expanded="true"] .fa-chevron-down, #topbar .login-info a[aria-expanded="false"] .fa-chevron-up {
            display: none;
        }

#login-info-menu {
    position: fixed;
    top: 60px;
    right: 60px;
    width: 450px;
    transition: 0.1s !important;
}

    #login-info-menu > div {
        position: relative;
        padding: 20px;
        background-color: #fff;
    }

        #login-info-menu > div:before {
            content: "";
            position: absolute;
            z-index: -1;
            top: 5px;
            right: 0;
            bottom: 0;
            left: 0;
            box-shadow: 0 4px 15px rgba(0,0,0,.5);
        }

    #login-info-menu h4 {
        margin-top: 0;
    }

    #login-info-menu .form-group {
        width: 100%;
    }

#sidebar {
    display: flex;
    flex-direction: column;
    position: fixed;
    background: #0C1F71;
    color: #fff;
    min-width: 80px;
    max-width: 80px;
    height: 100vh;
    text-align: center;
    z-index: 2;
}

    #sidebar .sidebar-wrapper {
        height: 100%;
        display: flex;
        flex-direction: column;
    }

    #sidebar .sidebar-spacer {
        flex-grow: 1;
    }

    #sidebar .sidebar-header {
        display: table;
        background: #1F9198;
        color: #fff;
        height: 60px;
        width: 100%;
    }

        #sidebar .sidebar-header strong {
            display: table-cell;
            vertical-align: middle;
            text-align: center;
            padding-top:10px;
        }

    #sidebar a[data-toggle="collapse"] {
        position: relative;
    }

    #sidebar a[aria-expanded="false"] .fa-chevron-down, #sidebar a[aria-expanded="true"] .fa-chevron-up {
        display: inline;
    }

    #sidebar a[aria-expanded="true"] .fa-chevron-down, #sidebar a[aria-expanded="false"] .fa-chevron-up {
        display: none;
    }

    /*#sidebar ul.components {
        /*padding: 20px 0;*/
    /*}*/

    #sidebar ul p {
        color: #fff;
        padding: 10px;
    }

    #sidebar ul li a {
        position: relative;
        text-align: center;
        padding: 15px 10px;
        font-size: 0.85em;
        display: block;
        color: #fff;
    }

        #sidebar ul li a:focus, #sidebar ul li a:hover {
            text-decoration: none;
        }

        #sidebar ul li a:hover {
            color: #121F6F;
            background: #fff;
        }

        #sidebar ul li a i {
            margin-right: 0;
            display: block;
            font-size: 1.8em;
            margin-bottom: 5px;
        }

        #sidebar ul li a span {
            display: block;
        }

    #sidebar ul li.active > a, #sidebar a[aria-expanded="true"] {
        color: #fff;
        background: #009199;
    }

    #sidebar ul ul a {
        font-size: 0.9em !important;
        padding-left: 10px !important;
        background: #009199;
    }

    #sidebar ul ul li a:hover {
        color: #1F9198;
        background: #fff;
    }

    #sidebar ul ul li.active > a {
        border-left: 3px solid white;
    }

    #sidebar .badge {
        top: 5px;
        right: 5px;
        position: absolute;
        color: #121F6F;
        background-color: #fff;
        padding: 4px;
        font-size: 10px;
    }

    #sidebar ul li.active .badge {
        color: #00AEB6;
    }

    #sidebar ul li a:hover .badge {
        color: white;
        background-color: #121F6F;
    }

    #sidebar ul li.active a:hover .badge {
        color: #00AEB6;
        background-color: #fff;
    }

    .sidebarVersionNumber {
        position: relative;
        text-align: center;
        padding: 15px 10px;
        font-size: 0.85em;
        display: block;
        color: #fff;
    }
    /*#endregion*/

    /*#region Scrollbar overrides*/
    #sidebar .mCSB_container {
        display: flex;
        flex-direction: column;
        min-height: 100%;
    }

    #sidebar .mCSB_inside > .mCSB_container {
        margin-right: 0;
    }

    #sidebar .mCSB_scrollTools {
        left: 0;
        right: auto;
    }
/*#endregion*/

#content {
    position: relative;
    z-index: 0;
    margin-top: 60px;
    margin-left: 95px;
    margin-right: 25px;
    margin-bottom: 20px;
    width: 100%;
}

    #content > .row {
        margin-top: 30px;
    }

    #content .block {
        background-color: #fff;
        box-shadow: 0 2px 4px rgba(0,0,0,.1);
        padding: 15px;
    }

.login-body {
    padding-top: 20px;
    background-color: #EDEDF5;
}

    .login-body input[type=submit] {
        width: 100%;
    }

/*#region Color Picker*/

.form-group .sp-replacer {
    border-color: #ccc;
}

    .form-group .sp-replacer:hover, .form-group .sp-replacer.sp-active, .modal-body .sp-container {
        border-color: #666;
    }

.modal-body .sp-input {
    background-color: white;
}

.modal-body .sp-preview {
    border: 0 none;
}

#LogoPreview {
    max-height: 100px;
    max-width: 200px;
}

.login-wrapper .panel-topper {
    height: 15px;
    background-color: white;
    position: relative;
    top: 15px;
    z-index: 2;
    border-radius: 4px 0 0 0;
    border: 1px solid #ddd;
    border-bottom: none;
    border-right: none;
    background-clip: padding-box;
}

    .login-wrapper .panel-topper + .panel-topper {
        background-color: white;
        border-radius: 0 4px 0 0;
        border-right: 1px solid #ddd;
        border-left: none;
    }

.login-wrapper .logo-wrapper {
    text-align: right;
}

    .login-wrapper .logo-wrapper img {
        max-width: 100%;
        max-height: 120px;
        margin-top: 20px;
    }

/*#endregion*/

/*#region Patient Layout*/
.header {
    padding: 20px 0;
}

    .header .logo img {
        max-width: 100%;
        max-height: 90px
    }

    .header .strapline {
        /*color: #009390;*/
        font-family: 'Trebuchet MS';
        font-size: 18px;
        font-style: italic;
        font-weight: bold;
        text-align: center;
        padding-top: 25px;
    }

.navbar {
    /*background-color: #203888;*/
    border: 0 none;
    border-radius: 0;
    padding:0;
}

    .navbar .nav > li > a {
        /*color:white;*/
        font-family: 'Open Sans', Verdana, Sans-Serif;
        font-weight: bold;
        padding-top: 1rem;
        padding-bottom: 1rem;
    }

.body-content .panel-body > h3 {
    margin-top: 0;
}

.footer-content.navbar {
    position: relative;
    margin-top: -140px;
    margin-bottom: 0;
    /*max-height: 140px;*/
    min-height: 100px;
    font-family: 'Open Sans', Verdana, Sans-Serif;
    font-size: 0.8em;
    padding: 0.5rem 1rem;
}

.footer-content .container {
    padding-top: 4px;/**/
    border-top: 1px solid #ccc;
}

#availableOrgs .card {
    margin-bottom:10px;
}

.OrgServiceItem {
    padding-left: 7px;
    padding-top: 7px;
    font-weight: bold;
    font-style: italic;
    font-size: 1.3rem;
}

.OrgServiceItem.TopBorderOnly {
        border-top: 1px solid rgba(0, 0, 0, 0.125);
    }


/*#endregion*/

/* Progress bar for questions */
#progress-bar {
    /*border-style: solid;
    border-color: #000000;
    border-width: 1px;
    background-color: white;*/
    width: 100%;
    height: 40px;
    background-size: auto 100%;
}

#progress {
    background-color: #000000;
    height: 38px;
    font-weight: 600;
    z-index: 7;
}

#progressText {
    /*margin: 0 auto;*/
    font-size: 1.25rem;
    text-align: center;
    vertical-align: middle;
    padding-top: 6px;
}

.ui-progressbar {
    border-radius: 0px;
    border-color: #2D3488;
    height: 23px;
}

.ui-progress-whitetext {
    color: white;
}

.ui-progressbar .ui-progressbar-value {
    border-radius: 0px;
    background: #D06C98;
}


/* end progress bar for questions */

/*#region Questions */

#sectionInfoForPatient {
    font-size: 0.95rem;
}

#questionContainer {
    font-size: 1.1rem;
}

#pageTitle{
    font-weight: 700;
    padding-top: 2rem;
}

#btnNext {
    border-radius: 10em;
    font-size: 1.25rem;
}

#questionContainer .showHide_False ~ .questionDivider {
    /*hide the divider if the question is hidden*/ 
    display: none;
}

#buttonsAtBottom {
    display: flex;
    align-items: center;
}

    #buttonsAtBottom button {
        margin-right: 10px;
    }

.buttonsLHS {
    float:left;
    width: 50%;
    position:relative;
}
.buttonsRHS {
    width:50%;
    float: left;
    position: relative;
}

    .buttonsRHS span {
        float:right;
        padding: 0 10px 0 10px;
    }

    .questionButtons#btnPrev {
        font-size: 1.25rem;
        color: black;
        float: left;
    }

.questionButtons#btnSuspend {
    font-size: 1.25rem;
    color: black;
    float:right;
}

.questiontextholder {
    font-size: 1.5rem;
    margin-top: 0;
    margin-bottom: 0.5rem;
    font-weight: 500;
    line-height: 1.2;
}

.questionsuibold {
    font-weight: 600;
}

.content.questions {
    min-height: 650px;
}

.current-progress {
    font-size: 14px;
    margin: 18px 0 10px 0;
}

.container .questions-warning {
    color: #6875B4;
    font-size: 19px;
    line-height: 23px;
    font-weight: normal;
}

.multiTxt, .scoreSlider, .radiobox {
    margin: 20px 0 10px 0;
    width: 100%;
}
    .scoreSlider {
        max-width: 500px;
    }

    .scoreSlider input[type=text] {
        width: 40px;
        color: #D06C98;
        display: block;
    }

        .scoreSlider input[type=range] {
            width: 100%;
        }

    /*.scoreSlider .ui-slider-horizontal {
        height: 4px;
        border: 14px solid #D06C98;
        border-top: 0 none;
        border-bottom: 0 none;
        border-radius: 0;
        background: #D06C98;
        margin: 17px 0 10px 0;
    }

    .scoreSlider .ui-slider-handle {
        height: 38px;
        width: 38px;
        background: url("Images/Referral-slider-knob.png");*/
        /*margin: -15px 0 0 -19px;*/
    /*}

        .scoreSlider .ui-slider-handle:hover {
            cursor: pointer;
        }*/
.SliderWidth{
    width:100%;
}

.scoreSlider p {
    margin: 0 0 15px 0;
    color: #6875B4;
    font-weight: bold;
}



.dated-list {
    width: 100%;
}

    .dated-list td input[type=text] {
        width: 90px;
    }

.tooltip-prompt {
    display: inline-block;
    width: 18px;
    height: 18px;
    margin-left: 5px;
    background: url("images/ToolTip.png") no-repeat right center;
}

.dated-list .tooltip-prompt {
    background-image: url("images/ToolTip-white.png");
}

.questions-instructions {
    font-style: italic;
}

.form-check .form-check-input {
    margin-top: 0.2rem;
}

.form-check {
    padding-top: 1rem;
    padding-left: 3rem;
}

.radio .row {
    padding-bottom: 15px;
}

h6#required, h6.questionrequired {
    font-weight: 600;   
    font-size: 0.95rem;
}

.referralhtml img {
    width: 100%;
    margin-bottom: 5px;
}


#referralQuestionsMessages:empty, .uploadmessage:empty {
    display: none;
}

/*#endregion */
.referralHistory {
    width: 100%;
}

    .referralHistory .tAlt td, .referralHistory .tRow td {
        padding: 4px 8px;
    }

    .referralHistory .tAlt {
        background-color: #eee;
    }

table.table .dgrey {
    background-color: #666;
    color: white;
}

table.table .grey {
    background-color: #efefef;
    color: black;
}

.noTopBorderTable{
    border-top-style: hidden;
}

/* For Email builder - variables */

.variable {
    cursor: default;
    background-color: #65b9dd;
    color: #FFF;
    padding: 2px 8px;
    border-radius: 3px;
    font-weight: bold;
    font-style: normal;
    font-size: 10px;
    display: inline-block;
    line-height: 12px;
}


.form-control.inlineSelect {
    width: auto;
    display: inline-block;
}

.form-control.inlineSelectNoAutoWidth {
    
    display: inline-block;
}

.form-control.narrowSelect {
    width: 33%;
}
 .form-control.mediumSelect {
     width:66%;
 }

.smallInput {
    width: 33%;
    display: block;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    /*background-color: red;*/
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

.smallBasicInput {
    width: 30px;
    text-align: right;
}

.bodyMapKeySelected {
    border: 2px dashed grey;
}

.hideThis {
    display: none;
}

.highlightRow {
    border-color: darkred;
    border-bottom-style: solid;
    border-top-style: solid;
    border-left-style: solid;
    border-right-style: solid;
}

.highlightRowYellow {
    background-color: yellow;
}

/* For webgrids */

.customGridHeaderStyle {
    cursor: pointer;
    color: navy;
}

/* #region Patient Details */
/*.form-horizontal .control-label {*/
.form-horizontal .col-form-label {
    text-align: left;
    padding-top: 0px;
    padding-bottom: 0px;
}

.form-control-static {
    min-height: 0;
    padding-top: 0;
    padding-bottom: 0;
}

.form-horizontal .form-group {
    margin-bottom: 10px;
    line-height: normal;
}

.mb-lrg {
    margin-bottom: 30px;
}
/* #endregion Patient Details */

/* #region Assessment */
canvas#bodyMap {
    margin: 0 auto;
    /*display: block;*/
}
/* #endregion Assessment */

/* #region Slider on Telephone Referral */
.scoreSlider p.float-left {
    float: left;
    margin-left: -0.25em;
}

.scoreSlider p.float-right {
    float: right;
    margin-right: -0.5em;
}

.scoreSlider .ui-slider-horizontal .ui-slider-handle {
    top: -.5em;
    border-radius: 50%;
    background-color: #6875B4;
}
/* #endregion Slider on Telephone Referral */

/* #region Tables */
/*tbody tr:nth-child(odd) {*/
    /* This messes up the worklist grid*/
    /*background-color: #f7f7f7;*/
/*}*/
/* #endregion Tables */

/* prevents text selection */
.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}


.requiredField:after {
    content: "*";
    font-weight: bold;
    color: red;
    display: inline;
}

.requiredFieldProxyGuardian:after {
    content: "**";
    font-weight: bold;
    color: red;
    display: inline;
}

.alternatingRowsBackgroundColor {
    background-color: #f7f7f7;
}

/*for webgrid columns if you want to set widths*/

.col-sm {
    width: 100px;
    min-width: 90px;
}

.col-med {
    width: 150px;
    min-width: 120px;
}

.col-lrg {
    width: 200px;
    min-width: 180px;
}

/*.footerleft-logos {
    height:100px; 
    padding-top: 20px;
}*/
.footer-logos img {
    padding-top: 20px;
    padding-bottom: 20px;
    max-width: 100%;
    max-height: 121px;
}

.TextBoxNoBorderOrText {
    border: none;
    color: transparent;
    width: 0px;
}

/*.row-eq-height {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}
.row-eq-height .panel {
    height:100%;
}
.row-eq-height .row div:last-of-type .panel {
    margin-bottom:0;
}*/


/*#staff-grid{
    padding-top:20px;
}*/

.GridTopPadding {
    padding-top: 10px;
}

.GridFilter {
    background-color: #f7f7f7;
    height: 50px;
    padding-top: 5px;
}

.GridFilterLarge {
    background-color: #f7f7f7;
    height: 100px;
    padding-top: 5px;
}

/* used to break urls so that they fit in boxes correctly*/
.UrlBreakWord {
    word-wrap: break-word;
    overflow-wrap: break-word;
    word-break: break-word;
}

#exercise-grid {
    padding-top: 20px;
}

.GreyBlock {
    background-color: #EDEDF5;
    padding: 15px 0px 0px 15px;
    overflow: hidden;
    width: auto;
    /*display: inline-flex*/
}

.GreyBlockAlt {
    background-color: #EDEDF5;
    padding: 0px 0px 0px 15px;
    overflow: hidden;
    width: auto;
   /* display: inline-flex*/
}

.GreyBackgroundColor {
    background-color: #EDEDF5;
}

.divPaddingLeft {
    padding-left: 15px;
}

.divPaddingRight {
    padding-right:15px;
}

#CCGtoOrg-grid .row {
    padding-left: 50px;
    padding-top: 15px;
}

#CCGtoOrg-grid p {
    margin-top: 0.5rem;
    margin-bottom: auto;
}

.buttonLarge {
    width: 200px;
}

.buttonMarginBottomRight{
    margin-right:15px;
    margin-bottom:15px;
}

.PurpleForeColor{
    color: mediumpurple;
}
/*For decisionPage*/
    /*.divFloatLeft50Percent {
    width: 50%;
    float: left;
}*/

    .NavyHeading{
    color:navy;
    font-weight:bold;
    
}

.RedForeColor{
    color:red;
}

.LightGrayForeColor{
    color:lightgray
}

.removeMarginDiv {
    margin-left: -15px;
    margin-right: -15px;
}

/*MobileHideColumn*/
@media screen and (max-width:992px) {
    .MobileHideColumn {
        display:none;
    }
}

/* for admin grids where font size needs to be reduced */
/* below style is used for those monitors that are smaller than 1300px e.g. 1280 x 1024*/
@media (max-width: 1300px) {
    .resizeGridTableFonts {
        font-size: 0.70rem;
    }
}

.removeMarginHR{
    margin-top: 0px;
    margin-bottom: 0px;
    
}

.removeBorderLi{
    border:none;
}

.no-bottom-padding, .pswdvalidation label {
    padding-bottom: 0rem;
}



.gpImportStatusLarge {
    /*margin-right: 50px;
    padding: 0;*/
    font-size: 1.5em;
}

.gpImportStatusSmall
{
    font-size: 1.2em;
}

.gpimportrow .btn {
    margin-top: 5px;
    margin-bottom: 5px;
}

.Matched.redhighlight {
    background-color: rgba(255,0,0,0.2);
}

.yellowhighlight {
    background-color: rgb(233 226 133);
}

.pdsmatchyellowhighlight {
    background-color: rgb(233 226 133);
}

.pdsmatchredhighlight {
    background-color: rgba(255,0,0,0.2);
}

.narrowrightmargin {
    padding-right: 5px;
}
.narrowleftmargin {
    padding-left: 5px;
}

.narrowmargins {
    padding-right: 5px;
    padding-left: 5px;
}

.LargeRedWarningText{
    font-size:xx-large;
    color:red;
    font-weight:bold;
}

/*this is for telephone referrals for the section headings*/
.sectionHeadings {
    font-size: x-large;
    font-weight: bold;
    color: navy;
    cursor: pointer;
}

/*this is for telephone referrals - save or not save green / red background */
.greenSavedBackground {
    background-color: lightgreen;
}

.redNotSavedBackground {
    background-color: palevioletred;
}

.disabledSelectDisplayOnly {
    appearance: none;
    background-color: transparent !important;
    border: none;
    padding: 0 1em 0 0;
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    cursor: inherit;
    line-height: inherit;
    outline: none;
    width: 100%;
    min-width: 15ch;
    max-width: 30ch;
    height: 100% !important;
    white-space: pre-wrap;
    /*border: 1px solid var(--select-border);
    border-radius: 0.25em;
    padding: 0.25em 0.5em;
    font-size: 1.25rem;
    cursor: pointer;
    line-height: 1.1;
    background-color: #fff;
    background-image: linear-gradient(to top, #f9f9f9, #fff 33%);*/
}

    /*.disabledSelectDisplayOnly option {
        -moz-white-space: pre-wrap;
        -o-white-space: pre-wrap;
        white-space: pre-wrap;*/
        /* hide text that can't wrap with an ellipsis */
        /*overflow: hidden;
        text-overflow: ellipsis;*/
        /* add border after every option */
        /*border-bottom: 1px solid #DDD;
    }*/


.TopPaddingSSO {
    padding-top: 25px;
}
.BottomPaddingSSO {
    padding-bottom: 25px;
}

.nhslogin-button {
    font-weight: 400;
    font-size: 16px;
    font-size: 1rem;
    line-height: 1.5;
    margin-bottom: 28px;
    -webkit-appearance: none;
    appearance: none;
    background-color: #005eb8;
    border: 2px solid transparent;
    border-radius: 4px;
    box-shadow: 0 4px 0 #003087;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-weight: 600;
    margin-top: 0;
    padding: 12px 16px;
    position: relative;
    text-align: center;
    vertical-align: top;
    width: auto;
}

/*@media (min-width: 40.0625em) {
    .nhslogin-button {
        font-size: 19px;
        font-size: 1.1875rem;
        line-height: 1.47368;
    }
}*/

@media print {
    .nhslogin-button {
        font-size: 14pt;
        line-height: 1.15;
    }
}

@media (min-width: 40.0625em) {
    .nhslogin-button {
        margin-bottom: 36px;
    }
}

@media (max-width: 40.0525em) {
    .nhslogin-button {
        padding: 8px 16px;
    }
}

.nhslogin-button:link,
.nhslogin-button:visited,
.nhslogin-button:active,
.nhslogin-button:hover {
    color: #fff;
    text-decoration: none;
}

.nhslogin-button::-moz-focus-inner {
    border: 0;
    padding: 0;
}

.nhslogin-button:hover {
    background-color: #1e569b;
}

.nhslogin-button:focus {
    background: #ffeb3b;
    box-shadow: 0 4px 0 #003087;
    color: #003087;
    outline: none;
}

.nhslogin-button:active {
    background: #1e569b;
    box-shadow: none;
    color: #fff;
    top: 4px;
}

.nhslogin-button::before {
    background: transparent;
    bottom: -6px;
    content: "";
    display: block;
    left: -2px;
    position: absolute;
    right: -2px;
    top: -2px;
}

.nhslogin-button:active::before {
    top: -6px;
}

.nhslogin-button--reverse {
    background-color: #fff;
    box-shadow: 0 4px 0 #003087;
    color: #005eb8;
}

    .nhslogin-button--reverse:hover {
        background-color: #f2f2f2;
        color: #005eb8;
    }

    .nhslogin-button--reverse:focus {
        background: #ffeb3b;
        box-shadow: 0 4px 0 #003087;
        color: #003087;
        outline: 4px solid transparent;
    }

    .nhslogin-button--reverse:active {
        background: #f2f2f2;
        box-shadow: none;
        color: #005eb8;
        top: 4px;
    }

    .nhslogin-button--reverse:link {
        color: #005eb8;
    }

    .nhslogin-button--reverse.nhsuk-button--disabled {
        background-color: #fff;
    }

        .nhslogin-button--reverse.nhsuk-button--disabled:focus {
            background-color: #fff;
        }

.nhslogin-button--disabled,
.nhslogin-button[disabled="disabled"],
.nhslogin-button[disabled] {
    background-color: #005eb8;
    opacity: 0.5;
    pointer-events: none;
}

    .nhslogin-button--disabled:hover,
    .nhslogin-button[disabled="disabled"]:hover,
    .nhslogin-button[disabled]:hover {
        background-color: #005eb8;
        cursor: default;
    }

    .nhslogin-button--disabled:focus,
    .nhslogin-button[disabled="disabled"]:focus,
    .nhslogin-button[disabled]:focus {
        background-color: #005eb8;
        outline: none;
    }

    .nhslogin-button--disabled:active,
    .nhslogin-button[disabled="disabled"]:active,
    .nhslogin-button[disabled]:active {
        box-shadow: 0 4px 0 #003087;
        top: 0;
    }

.nhslogin-button--reverse[disabled="disabled"],
.nhslogin-button--reverse[disabled] {
    background-color: #fff;
    opacity: 0.5;
}

    .nhslogin-button--reverse[disabled="disabled"]:hover,
    .nhslogin-button--reverse[disabled]:hover {
        background-color: #fff;
        cursor: default;
    }

    .nhslogin-button--reverse[disabled="disabled"]:focus,
    .nhslogin-button--reverse[disabled]:focus {
        outline: none;
    }

    .nhslogin-button--reverse[disabled="disabled"]:active,
    .nhslogin-button--reverse[disabled]:active {
        box-shadow: 0 4px 0 #003087;
        top: 0;
    }

.ie8 .nhslogin-button:focus {
    outline: 1px dotted #003087;
}

.nhslogin-button-logo {
    display: flex;
    align-items: center;
    justify-content: center;
}

.button-logo {
    padding-right: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.centredwhenlarge {
    text-align:center;
}

.card-body .centredwhenlarge {
    text-align: left;
}
